#include <iostream>
#include <fstream>
using namespace std;
int main()
{
 ifstream f1("TANSUAT.inp"); ofstream f2("TANSUAT.out");
 unsigned long long int a[100000001],n,k;
 const int max=1e8; int cnt[max];
 f1>>n>>a[100000001];
 for(int i = 0;i <max; i++) cnt[i] = 0;
    for(int i = 0; i < n;i++){
        cnt[a[i]]++;
        f2<<i<<" "<<cnt[a[i]];
        f1.close();
        f2.close();
        return 0;
}}
